Event API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Event API accepts events in JSON format, allowing for great flexibility in the types of data that can be sent to Appuri.

Headers

  • Required Content-Type: x-ldjson
  • Optional Content-Encoding: gzip should be set if sending GZIP'ed data.

Authentication

The Event API requires authentication via a header. Set Authorization: Bearer <key>, replacing key with the Event Write Key available in the Settings > Credentials tab. The event write key can only be used to write events to Appuri.

Compressed, multi-line requests

While you can send one event at a time to Appuri, we strongly recommend posting Gzip compressed event batches. Appuri can easily ingest 1 billion events per day if you use this method.

$ curl 'https://event-sink.appuri.net/e' \
        --header 'Content-Type: application/x-ldjson' \
        --header 'Authorization: Bearer <key>' \
        --header 'Content-Encoding: gzip' \
        --data-binary @events.ldjson.gz

🚧

Note for Windows developers

Make sure to use a single newline "\n" in your files

❗️

Limits on Event API

  • You can open multiple requests to the Event API. We recommend a concurrency level of 5 or 10.
  • The maximum length of time a connection to the Event API can be open is 60 minutes.
Body Params
string

Event write key from Settings > Credentials

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json